<?php

namespace edu\wisc\services\cbs\price;

use Money\Money;

use PHPUnit\Framework\TestCase;

class MockPriceServiceClientTest extends TestCase
{

    /** @test */
    public function alwaysSucceedsByDefault()
    {
        $client = new MockPriceService();
        $response = $client->updateProductPrice("skusku", Money::USD(4200));
        static::assertTrue($response->isSuccess());
    }
    
    /** @test */
    public function returnsFailureResponse()
    {
        $client = new MockPriceService(false);
        $response = $client->updateProductPrice("skusku", Money::USD(4200));
        static::assertFalse($response->isSuccess());
    }
    
}

